Issue 14694

Summary: Remove Codes
Product: Writer Reporter: rblackeagle <rbe>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CLOSED DUPLICATE QA Contact:
Severity: Trivial    
Priority: P3 CC: elish, issues, orcmid
Version: OOo 1.0.3   
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Upper left hand corner graphic
none
Upper right-hand corner graphic for Cover
none
Lower left-hand corner graphic for Cover (resized)
none
Lower right-hand corner graphic for Cover
none
PDF file of Cover
none
Cover Page
none
Title Page
none
Master Doc (as close as I can get it)
none
Associated Template none

Description rblackeagle 2003-05-21 03:25:58 UTC
In lieu of "Reveal Codes" I would like to see the ability to remove all codes other than those set in the Standard.  While it would be a pain to have to reintroduce italics, bold and so on, it would be superior to the situation where a completely uncorrectable format, font or other style mistake exists in a document.  At present there is absolutely no way to correct such problems, which is one reason there is so much interest in "Reveal Codes."  In some situation, perhaps the removal of styles (beyond the standard ones) in a selected section would work, but in cases I have fought about, a global correction is essential.  From that correction, styles can be reset without worrying about unexpected results.
Comment 1 rblackeagle 2003-08-17 04:23:48 UTC
Would someone look at this workaround?

Would marking all the offending text and selecting "Default" as the
paragraph style remove all font changes?  Or marking all of a
paragraph and selecting Format > Character to a single format?  I
can't tell with my files what is happening when I do this.
Comment 2 stefan.baltzer 2003-09-08 17:29:53 UTC
SBA: Reassigned to Bettina from the User Experience team for consideration.
Comment 3 rblackeagle 2003-11-30 17:07:01 UTC
Created attachment 11644 [details]
Upper left hand corner graphic
Comment 4 rblackeagle 2003-11-30 17:12:58 UTC
Created attachment 11645 [details]
Upper right-hand corner graphic for Cover
Comment 5 rblackeagle 2003-11-30 17:17:03 UTC
Created attachment 11647 [details]
Lower left-hand corner graphic for Cover (resized)
Comment 6 rblackeagle 2003-11-30 17:18:01 UTC
Created attachment 11648 [details]
Lower right-hand corner graphic for Cover
Comment 7 rblackeagle 2003-11-30 17:21:45 UTC
Created attachment 11649 [details]
PDF file of Cover
Comment 8 rblackeagle 2003-11-30 17:37:01 UTC
Created attachment 11650 [details]
Cover Page
Comment 9 rblackeagle 2003-11-30 18:00:26 UTC
Created attachment 11651 [details]
Title Page
Comment 10 rblackeagle 2003-11-30 18:03:30 UTC
Created attachment 11652 [details]
Master Doc (as close as I can get it)
Comment 11 rblackeagle 2003-11-30 18:05:15 UTC
Created attachment 11653 [details]
Associated Template
Comment 12 rblackeagle 2003-11-30 18:08:58 UTC
Major screw up.  I ended up at the wrong issue number (somehow).  All
attachments should be under 13946.  Clicking on that number under the
list of "My Issues" brings me here.  I've done that three times now. 
Please check the references. If you can, please delete the attachments
here and move them to 13946 or simply delete them and I'll attach them
again to 13946.
Comment 13 ace_dent 2008-05-16 02:09:50 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 14 bettina.haberer 2010-05-21 14:43:12 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements". 
Comment 15 Edwin Sharp 2014-03-11 15:15:55 UTC
Duplicate bug

*** This issue has been marked as a duplicate of issue 3395 ***
Comment 16 orcmid 2016-02-01 15:58:37 UTC
Comment on attachment 11644 [details]
Upper left hand corner graphic

Obsolete.  Belongs at closed Issue 13946
Comment 17 orcmid 2016-02-01 15:59:24 UTC
Comment on attachment 11645 [details]
Upper right-hand corner graphic for Cover

Obsolete.  Belongs to closed Issue 13946
Comment 18 orcmid 2016-02-01 16:00:05 UTC
Comment on attachment 11647 [details]
Lower left-hand corner graphic for Cover (resized)

Obsolete.  Belongs to closed Issue 13946
Comment 19 orcmid 2016-02-01 16:00:24 UTC
Comment on attachment 11648 [details]
Lower right-hand corner graphic for Cover

Obsolete.  Belongs to closed Issue 13946
Comment 20 orcmid 2016-02-01 16:00:46 UTC
Comment on attachment 11649 [details]
PDF file of Cover

Obsolete.  Belongs to closed Issue 13946
Comment 21 orcmid 2016-02-01 16:01:01 UTC
Comment on attachment 11650 [details]
Cover Page

Obsolete.  Belongs to closed Issue 13946
Comment 22 orcmid 2016-02-01 16:01:20 UTC
Comment on attachment 11651 [details]
Title Page

Obsolete.  Belongs to closed Issue 13946
Comment 23 orcmid 2016-02-01 16:01:41 UTC
Comment on attachment 11652 [details]
Master Doc (as close as I can get it)

Obsolete.  Belongs to closed Issue 13946
Comment 24 orcmid 2016-02-01 16:02:04 UTC
Comment on attachment 11653 [details]
Associated Template

Obsolete.  Belongs to closed Issue 13946
Comment 25 orcmid 2016-02-01 16:11:57 UTC
(In reply to Edwin Sharp from comment #15)
> Duplicate bug
> 
> *** This issue has been marked as a duplicate of issue 3395 ***

For reasons that are not entirely clear, this enhancement request was treated as irreproducible in a 2008 "bug squash" effort, and then identified as a duplicate of Issue 3395 in 2014.

This is not the approach requested in Issue 3395.  This is a related issue, but not a duplicate.  (PS: The reference, in the original statement, concerning "all codes other than those set in the Standard" misconstrues what the ODF standard provides for and the discretion that is afforded to implementations with regard to automatic styling.)

Nonetheless, at this time (2016-02-01) there is no prospect of anything being done that provides the desired functionality in the product. 

I am changing this issue to Resolved - Won't Fix.